Package org.eclipse.pde.core.plugin

## Class PluginRegistry.PluginFilter

- java.lang.Object
- - org.eclipse.pde.core.plugin.PluginRegistry.PluginFilter

Enclosing class:
  PluginRegistry

    public static class PluginRegistry.PluginFilter
    extends Object

Filter used when searching for plug-in models.

Clients may subclass this class to implement custom filters.

Since:
  3.6
See Also:
  `PluginRegistry.findModel(String, String, int, PluginFilter)`, `PluginRegistry.findModel(String, VersionRange, PluginFilter)`

### Constructor Summary

Constructors
`PluginFilter()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `accept​(IPluginModelBase model)` Returns whether the given model is accepted by this filter.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginFilter

    public PluginFilter()

### Method Detail

#### accept

    public boolean accept​(IPluginModelBase model)

Returns whether the given model is accepted by this filter.

Parameters:
  `model` - plug-in model
Returns:
  whether accepted by this filter